/*
##############################################################################
# 
# Copyright by The HDF Group.
# All rights reserved.
#
# This file is part of the hl_region High-Level HDF5 APIs.  The full copyright 
# notice, including terms governing use, modification, and redistribution, 
# is contained in the file COPYING, which can be found at the root of the
# source code distribution tree and in the documentation directory (doc/html/). 
# If you do not have access to this file, you may request a copy of 
# "the hl_region High-Level HDF5 APIs copyright and license statement" from 
# help@hdfgroup.org.
# 
##############################################################################
*/

/*
 * Programmer:	Quincey Koziol <koziol@hdfgroup.org>
 *		Tuesday, April 14, 2009
 *
 * Purpose:	This file contains declarations which are visible only within
 *		the hl_region_H5LT package.  Source files outside the hl_region_H5LT package should
 *		include hl_region_H5LTprivate.h instead.
 */
#if !(defined(hl_region_H5LT_PACKAGE) | defined(hl_region_H5LT_MODULE))
#error "Do not include this file outside the H5LT package!"
#endif

#ifndef _hl_region_H5LTpkg_H
#define _hl_region_H5LTpkg_H

/* If this package header is being included in one of the H5LT modules, define
 *      the proper control macros for the generic FUNC_ENTER/LEAVE and error
 *      reporting macros.
 */
#ifdef hl_region_H5LT_MODULE
#define H5_MY_PKG       H5LT
#define H5_MY_PKG_ERR   H5E_HL
#define H5_MY_PKG_INIT  YES
#endif /* hl_region_H5LT_MODULE */

/* Get package's private header */
#include "hl_region_H5LTprivate.h"

/* Other private headers needed by this file */


/**************************/
/* Package Private Macros */
/**************************/

/* If this package header is being included in one of the H5LT modules, define
 *      the proper control macros for the generic FUNC_ENTER/LEAVE and error
 *      reporting macros.
 */


/****************************/
/* Package Private Typedefs */
/****************************/


/*****************************/
/* Package Private Variables */
/*****************************/


/******************************/
/* Package Private Prototypes */
/******************************/


#endif /* _hl_region_H5LTpkg_H */

